Xfce Wiki

Sub domains
 

Site Tools


Differences

This shows you the differences between two versions of the page.

Link to this comparison view

releng:4.12:roadmap [2012/09/29 14:25]
nick [Dependencies (Fixed After 2012-09-19)]
releng:4.12:roadmap [2013/03/15 17:51] (current)
nick [Schedule]
Line 12: Line 12:
 | 2012-05-14 - 2012-05-27 | Extended Planning Phase |  |  | May request dependency changes | | 2012-05-14 - 2012-05-27 | Extended Planning Phase |  |  | May request dependency changes |
 | 2012-05-27 | Dependency Freeze |  | Update dependency info, inform community about the decisions made (dependencies,​ unguaranteed feature preview) ​ |  | | 2012-05-27 | Dependency Freeze |  | Update dependency info, inform community about the decisions made (dependencies,​ unguaranteed feature preview) ​ |  |
-| 2012-05-27 - 2013-01-27 ​| Development Phase | Support Xfce | Supervise development,​ remind people of deadlines | Hacking | +| 2012-05-27 - today | Development Phase | Support Xfce | Supervise development,​ remind people of deadlines | Hacking | 
-| 2013-01-27 - 2013-03-10 | Release Phase | Wait patiently | Perform releases, remind people of deadlines | Perform releases of own components if desired | +<del>2013-01-27 - 2013-03-10</​del> ​| Release Phase | Wait patiently | Perform releases, remind people of deadlines | Perform releases of own components if desired | 
-| 2013-01-27 | Xfce 4.12pre1 (Feature Freeze + Soft String Freeze) |  | Prepare release announcements,​ release Xfce 4.12pre1 | Make sure the latest development release is in good shape and uploaded. | +<del>2013-01-27</​del> ​| Xfce 4.12pre1 (Feature Freeze + Soft String Freeze) |  | Prepare release announcements,​ release Xfce 4.12pre1 | Make sure the latest development release is in good shape and uploaded. | 
-| 2013-02-10 | Xfce 4.12pre2 (String Freeze) |  | Prepare release announcements,​ release Xfce 4.12pre2 | Make sure that strings in the latest development release or in master are good | +<del>2013-02-10</​del> ​| Xfce 4.12pre2 (String Freeze) |  | Prepare release announcements,​ release Xfce 4.12pre2 | Make sure that strings in the latest development release or in master are good | 
-| 2013-02-24 | Xfce 4.12pre3 (Code Freeze) |  | Prepare release announcements,​ release Xfce 4.12pre3 | Make sure the latest development release is in good shape, or that code is solid/​finished in master ​ | +<del>2013-02-24</​del> ​| Xfce 4.12pre3 (Code Freeze) |  | Prepare release announcements,​ release Xfce 4.12pre3 | Make sure the latest development release is in good shape, or that code is solid/​finished in master ​ | 
-| 2013-03-10 or 1 week later | Xfce 4.12 (Final Release) | Celebrate | Prepare release announcements,​ release Xfce 4.12, branch for stable release, merge ELS branches into master | Make sure to upload a new release of own components before this deadline |+<del>2013-03-10 or 1 week later</​del> ​| Xfce 4.12 (Final Release) | Celebrate | Prepare release announcements,​ release Xfce 4.12, branch for stable release, merge ELS branches into master | Make sure to upload a new release of own components before this deadline |
  
 +<​note>​We'​re still in the development stage and will start releasing when we think 4.12 is ready.</​note>​
 ===== Status ===== ===== Status =====
  
Line 35: Line 36:
   * gtk+-2.0 >= 2.24 ((Last GTK+ 2 version for most-complete GSEAL support))   * gtk+-2.0 >= 2.24 ((Last GTK+ 2 version for most-complete GSEAL support))
     * Same version for gdk-2.0.     * Same version for gdk-2.0.
-  * glib-2.0 >= 2.30 ((Minimum version for GTK+ 2.24 is 2.28, but 2.30 gives advantages for the file manager.))+  * glib-2.0 >= 2.30 ((Minimum ​GLib version for GTK+ 2.24 is 2.28, but 2.30 gives advantages for the file manager.))
     * Same version for gmodule-2.0,​ gobject-2.0,​ gthread-2.0 and gio-2.0     * Same version for gmodule-2.0,​ gobject-2.0,​ gthread-2.0 and gio-2.0
-  * gdk-pixbuf-2.0 >= 2.21 ((Minimum version for GTK+ 2.24.))+  * gdk-pixbuf-2.0 >= 2.21 ((Minimum ​GDK-Pixbuf ​version for GTK+ 2.24.))
   * dbus-glib-1 >= 0.84   * dbus-glib-1 >= 0.84
     * dbus-1 >= 1.1     * dbus-1 >= 1.1
-  * cairo >= 1.6 ((Minimum version for GTK+ 2.24.))+  * cairo >= 1.6 ((Minimum ​Cairo version for GTK+ 2.24.))
   * libwnck-1.0 >= 2.30   * libwnck-1.0 >= 2.30
   * upower >= 0.9.0   * upower >= 0.9.0
releng/4.12/roadmap.txt · Last modified: 2013/03/15 17:51 by nick